indexing

	description: "Describes choice among children."

	author:     "Berend de Boer <berend@pobox.com>"
	copyright:  "Copyright (c) 2001 by Berend de Boer, see forum.txt"
	date:       "$Date: $"
	revision:   "$Revision: $"


class

	CHILD_DEFINITION_CHOICE


inherit

	CHILD_DEFINITION_CHILDREN
		rename
			children as choices
		end


creation

	make


feature -- output

	do_generate (xml: EPX_XML_WRITER) is
		do
			xml.set_attribute("type", "choice")
			do_do_generate (xml)
		end


invariant

	at_least_one_element: not choices.is_empty

end
