indexing

	description: "Describes a sequence, a comma separated list"

	author:     "Berend de Boer <berend@pobox.com>"
	copyright:  "Copyright (c) 2001 by Berend de Boer, see forum.txt"
	date:       "$Date: $"
	revision:   "$Revision: $"


class

	CHILD_DEFINITION_SEQ


inherit

	CHILD_DEFINITION_CHILDREN
		rename
			children as sequence
		end


creation

	make


feature -- output

	do_generate (xml: EPX_XML_WRITER) is
		do
			xml.set_attribute("type", "seq")
			do_do_generate (xml)
		end


invariant

	at_least_one_element: not sequence.is_empty

end
